%define gnustepbase_major %(echo %{version}|cut -d. -f1,2)
%define libgnustepbase    %mklibname %{name} %{gnustepbase_major}
%define libgnustepbase_d  %mklibname %{name} -d

Name:		gnustep-base
Version:	1.30.0
Release:	%mkrel 5
License:	LGPLv2+ and GPLv2+ and GPLv3+
Group:		Development/Other
Summary:	GNUstep Base library package
URL:		https://www.gnustep.org/
Source0:	https://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz

# https://bugzilla.redhat.com/show_bug.cgi?id=1179297
Patch0: %{name}-use_system-wide_crypto-policies.patch

Patch1: %{name}-fix_GCC15.patch

BuildRequires:	gcc-objc
BuildRequires:	pkgconfig(libffi)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	gnustep-make >= 2.9.2
BuildRequires:	pkgconfig(avahi-compat-libdns_sd)
BuildRequires:	gmp-devel
BuildRequires:	texi2html
BuildRequires:	texinfo-tex
BuildRequires:	libicu-devel

Conflicts:	libFoundation

%description
The GNUstep Base Library is a powerful fast library of general-purpose,
non-graphical Objective C classes, inspired by the superb OpenStep API but
implementing Apple and GNU additions to the API as well.  It includes for
example classes for unicode strings, arrays, dictionaries, sets, byte
streams, typed coders, invocations, notifications, notification dispatchers,
scanners, tasks, files, networking, threading, remote object messaging
support (distributed objects), event loops, loadable bundles, attributed
unicode strings, xml, mime, user defaults. This package includes development
headers too.

%package -n %libgnustepbase
Summary:        GNUStep Base Libraries
Group:          Development/Other

%description -n %libgnustepbase
The GNUstep Base Library is a powerful fast library of general-purpose,
non-graphical Objective C classes, inspired by the superb OpenStep API but
implementing Apple and GNU additions to the API as well.  It includes for
example classes for unicode strings, arrays, dictionaries, sets, byte
streams, typed coders, invocations, notifications, notification dispatchers,
scanners, tasks, files, networking, threading, remote object messaging
support (distributed objects), event loops, loadable bundles, attributed
unicode strings, xml, mime, user defaults. This package includes development
headers too.
This packages contains the run-time libraries for %{name}.

%package -n %libgnustepbase_d
Summary:	Header of the GNUstep Base library packes
Group:		Development/Other
Requires:	%{libgnustepbase} = %{version}-%{release}
Requires:	gnustep-make%{?_isa} >= 2.9.2
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel%{?_isa} = %{version}-%{release}

%description -n %libgnustepbase_d
This package contains the header files of the gnustep-base package.

%package doc
Summary:	Documentation for %{name}
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description doc
The GNUstep Base Library is a powerful fast library of general-purpose,
non-graphical Objective C classes, inspired by the superb OpenStep API but
implementing Apple and GNU additions to the API as well.  It includes for
example classes for unicode strings, arrays, dictionaries, sets, byte
streams, typed coders, invocations, notifications, notification dispatchers,
scanners, tasks, files, networking, threading, remote object messaging
support (distributed objects), event loops, loadable bundles, attributed
unicode strings, xml, mime, user defaults. This package includes development
headers too.
This package contains the documentation for %{name}

%prep
%autosetup -p1

iconv -f iso-8859-1 -t utf-8 ChangeLog.2 -o ChangeLog.2.utf8
mv ChangeLog.2.utf8 ChangeLog.2

%build
ffi_include=$(pkg-config --cflags-only-I libffi | sed -e 's/^\-\I//')
export OBJCFLAGS="-std=gnu17"
%gnustep_configure --disable-ffcall --with-ffi-include="$ffi_include" \
  LIBS="$(pkg-config --libs icu-uc)"

%gnustep_make -n

%install
%gnustep_install -n

# Rename pl to pllist to fix naming conflict
mv ${RPM_BUILD_ROOT}%{_bindir}/pl ${RPM_BUILD_ROOT}%{_bindir}/pllist

rm -f Examples/.cvsignore
rm -f Examples/.gdbinit

# We need a modified GNUstep.conf, because the DTDs are install not
# on there real destination

sed -e "s|GNUSTEP_SYSTEM_LIBRARY=|GNUSTEP_SYSTEM_LIBRARY=$RPM_BUILD_ROOT|" \
    -e "s|GNUSTEP_SYSTEM_HEADERS=|GNUSTEP_SYSTEM_HEADERS=$RPM_BUILD_ROOT|" \
    %{_sysconfdir}/GNUstep/GNUstep.conf >GNUstep.conf

export LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir}
export GNUSTEP_CONFIG_FILE=$(pwd)/GNUstep.conf

%gnustep_makedoc
%gnustep_installdoc

%files
%{_bindir}/HTMLLinker
%{_bindir}/autogsdoc
%{_bindir}/cvtenc
%{_bindir}/defaults
%{_bindir}/gdnc
%{_bindir}/gdomap
%{_bindir}/gspath
%{_bindir}/make_strings
%{_bindir}/pl2link
%{_bindir}/pldes
%{_bindir}/plget
%{_bindir}/pllist
%{_bindir}/plmerge
%{_bindir}/plparse
%{_bindir}/plser
%{_bindir}/plutil
%{_bindir}/sfparse
%{_bindir}/xmlparse
%{_mandir}/man1/*
%{_mandir}/man8/*
%{gnustep_dtddir}/

%doc ANNOUNCE ChangeLog* COPYING* NEWS README.md

%files -n %libgnustepbase
%doc COPYING*
%{gnustep_libraries}/
%{_libdir}/libgnustep-base.so.%gnustepbase_major
%{_libdir}/libgnustep-base.so.%gnustepbase_major.*

%files -n %libgnustepbase_d
%{_includedir}/Foundation/
%{_includedir}/GNUstepBase/
%{_libdir}/libgnustep-base.so
%{_libdir}/pkgconfig/gnustep-base.pc
%{gnustep_additional}/base.make
%doc Examples

%files doc
%{_infodir}/*
%dir %{_datadir}/GNUstep/Documentation
%{_datadir}/GNUstep/Documentation/*


%changelog
* Wed May 14 2025 ns80 <ns80> 1.30.0-5.mga10
+ Revision: 2183485
- add a patch from Fedora to try to fix building with GCC 15

* Sun Mar 16 2025 wally <wally> 1.30.0-4.mga10
+ Revision: 2164836
- rebuild for libxml2 2.13.6

* Sun Jan 12 2025 wally <wally> 1.30.0-3.mga10
+ Revision: 2138491
- rebuild for icu 76.1
+ danf <danf>
- Update links to https:

* Sun Jul 21 2024 wally <wally> 1.30.0-2.mga10
+ Revision: 2082184
- add %%_isa to provides and requires

* Sun Jul 21 2024 wally <wally> 1.30.0-1.mga10
+ Revision: 2082179
- new version 1.30.0
- add patch from Fedora to use system crypto-policies

* Wed Sep 27 2023 tv <tv> 1.28.0-3.mga10
+ Revision: 1991347
- Rebuild for icu-73

* Sat Jan 07 2023 squidf <squidf> 1.28.0-2.mga9
+ Revision: 1931120
- Mass rebuild for icu 72.1

* Mon Aug 08 2022 neoclust <neoclust> 1.28.0-1.mga9
+ Revision: 1876090
- New version 1.28.0

* Sat Jun 18 2022 squidf <squidf> 1.27.0-7.mga9
+ Revision: 1864854
- rebuild for icu 71.1

* Wed Apr 06 2022 umeabot <umeabot> 1.27.0-6.mga9
+ Revision: 1845738
- Mageia 9 Mass Rebuild

* Thu Aug 05 2021 luigiwalser <luigiwalser> 1.27.0-5.mga9
+ Revision: 1739642
- rebuild for libffi

* Wed Aug 04 2021 tmb <tmb> 1.27.0-4.mga9
+ Revision: 1739312
- rebuild with fixed gnustep-make
+ luigiwalser <luigiwalser>
- rebuild for icu

* Tue Dec 01 2020 luigiwalser <luigiwalser> 1.27.0-2.mga8
+ Revision: 1651172
- ICU 68 uses standard C++ bool true
- rebuild for icu

* Wed Nov 18 2020 wally <wally> 1.27.0-1.mga8
+ Revision: 1647110
- new version 1.27.0
- new lib major 1.27
+ ovitters <ovitters>
- remove scriptlet requires; there are scriptlets!

* Wed Jul 01 2020 wally <wally> 1.26.0-5.mga8
+ Revision: 1601024
- rebuild for icu 67.1

* Tue Jun 16 2020 ovitters <ovitters> 1.26.0-4.mga8
+ Revision: 1593528
- rebuild for new ffi

* Sat Apr 04 2020 wally <wally> 1.26.0-3.mga8
+ Revision: 1564460
- rebuild for new icu 66.1

* Sun Feb 16 2020 umeabot <umeabot> 1.26.0-2.mga8
+ Revision: 1534712
- Mageia 8 Mass Rebuild

* Sun Oct 06 2019 daviddavid <daviddavid> 1.26.0-1.mga8
+ Revision: 1449844
- new version: 1.26.0
- now libmajor is 1.26
- fix devel pkg name

* Sat Oct 05 2019 daviddavid <daviddavid> 1.25.1-5.mga8
+ Revision: 1449505
- rebuild for new icu 65.1

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.25.1-4.mga7
+ Revision: 1346094
- rebuild for icu

* Sun Sep 23 2018 umeabot <umeabot> 1.25.1-3.mga7
+ Revision: 1298000
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 tv <tv> 1.25.1-2.mga7
+ Revision: 1252970
- rebuild for new libicu

* Wed Mar 28 2018 kekepower <kekepower> 1.25.1-1.mga7
+ Revision: 1213065
- Update to version 1.25.1

* Fri Dec 29 2017 wally <wally> 1.24.8-5.mga7
+ Revision: 1186973
- rebuild for new icu

* Mon Mar 20 2017 akien <akien> 1.24.8-4.mga6
+ Revision: 1093676
- Rebuild for icu 58.2

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 1.24.8-3.mga6
+ Revision: 1092699
- Rebuild for icu-58.2

* Fri May 13 2016 shlomif <shlomif> 1.24.8-2.mga6
+ Revision: 1015043
- Rebuild due to the new ICU

* Tue Jan 26 2016 fwang <fwang> 1.24.8-1.mga6
+ Revision: 927807
- force reconf
- 1.24.8
+ luigiwalser <luigiwalser>
- rebuild for gnutls
- rebuild for icu

* Fri Jul 24 2015 cjw <cjw> 1.24.7-5.mga6
+ Revision: 856852
- rebuild for icu 55

* Thu Jul 09 2015 neoclust <neoclust> 1.24.7-4.mga6
+ Revision: 853009
- New version

* Sun Jan 04 2015 neoclust <neoclust> 1.24.6-4.mga5
+ Revision: 808406
- Add P0 to fix CVE-2014-2980

* Wed Oct 15 2014 umeabot <umeabot> 1.24.6-3.mga5
+ Revision: 745751
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- 1.24.6

* Sat Apr 05 2014 wally <wally> 1.24.4-10.mga5
+ Revision: 611874
- fix lib pkg name
- rebuild for new icu

* Fri Feb 07 2014 neoclust <neoclust> 1.24.4-9.mga5
+ Revision: 585150
- FIx Requires

* Fri Feb 07 2014 neoclust <neoclust> 1.24.4-8.mga5
+ Revision: 585009
- imported package gnustep-base


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.24.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May 15 2013 Jochen Schmitt <Jochen herr-schmitt de> - 1.24.4-7
- Splitt of gnustep-base-libs (ä963025)

* Tue May  7 2013 Jochen Schmitt <Jochen herr-schmitt de> - 1.24.4-6
- Place DTDs subdir back to %%{gnustep_libdir} (#960313)

* Fri Apr  5 2013 Jochen Schmitt <Jochen herr-schmitt de> - 1.24.4-5
- Rework for change gnustep macro definitons

* Thu Apr  4 2013 Jochen Schmitt <Jochen herr-schmitt de> - 1.24.4-4
- Built for new gnustep-make release

* Mon Apr  1 2013 Jochen Schmitt <Jochen herr-schmitt de> - 1.24.4-3
- Usage of gnustep rpm macros

* Sun Mar 31 2013 Jochen Schmitt <Jochen herr-schmitt de> - 1.24.4-2
- Usage of gnustep rpm macros
- MOve Req. to gnustep-make to devel sub-package

* Sat Mar 30 2013 Jochen Schmitt <Jochen herr-schmitt de> - 1.24.4-1
- New upstream release
- Remove xml patch
- Add BR libicu-devel

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.24.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 30 2012 Jochen Schmitt <Jochen herr-schmitt de> - 1.24.0-3
- Add patch to fix a issue with newer releases of libxml2
- Romove obsoletes items from the SPEC file 

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.24.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb  8 2012 Jochen Schmitt <Jochen herr-schmitt de> 1.24.0-1
- New upstream release

* Wed Jan  4 2012 Jochen Schmitt <JOchen herr-schmitt de> 1.23.0-1.3
- Fix dependencies issues on rawhide (libobjc.so.3)

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.23.0-1.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 1.23.0-1.1
- rebuild with new gmp

* Sun Oct  9 2011 Jochen Schmitt <Jochen herr-schmitt de> 1.23.0-1
- New upstream release

* Wed Apr 27 2011 Jochen Schmitt <JOchen.herr-schmitt de> 1.22.0-2
- Remove comment command

* Wed Apr 27 2011 Jochen Schmitt <Johen herr-schmitt de> 1.22-1
- New upstream release which is compatible with gcc-4.6

* Thu Feb 10 2011 Jochen Schmitt <Jochen herr-schmitt de> 1.22-0.20110210
- First unstable release working with gcc-4.6

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1.20.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 23 2011 Jochen Schmitt <Jochen herr-schmitt de> 1.20.1-3
- Rebuild for new libobjc
- Replace objc/objc-api.h to objc/runtime.h

* Tue Jul  6 2010 Jochen Schmitt <Jochen herr-schmitt de> 1.20.1-2
- Parallels build for gnustep

* Mon Jun 21 2010 Jochen Schmitt <Jochen herr-schmitt de> 1.20.1-1
- New upstream release

* Thu May 13 2010 Jochen Schmitt <Jochen herr-schmitt de> 1.20.0-1
- New upatream release which fix CVE-2010-1457 and CVE-2010-1620 (#591602)

* Mon Nov 30 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.18.0-8
- Remove strace command

* Thu Nov 26 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.18.0-7
- Using temp. modified GNUstep.conf to access to DTDs (#539092)

* Thu Nov  5 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.18.0-6
- Add a conflict agains libFoundation

* Wed Sep 16 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.18.0-5
- Renove suid-bit on gdomap
- Create separate doc subpackage
- Fix license tag

* Mon Sep 14 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.18.0-4
- Rebuild agains gnustep-make 2.2.0

* Thu Mar 26 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.18.0-3
- Set GNUSTEP_INSTALLATION_DOMAIN=SYSTEM for make install

* Wed Mar 25 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.18.0-2
- Specify installation-domain=SYSTEM
- fix UTF-8 issue in ChangeLog.2

* Wed Mar  4 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.18.0-1
- Fallback to last stable release

* Wed Mar  4 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.19.0-2
- Switch to libffi

* Tue Feb 17 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.19.0-1
- New upstream release

* Sun Dec  7 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.16.5-1
- Initional release
